Get a resource by id
curl --request GET \
--url https://aquila.attaxr.com/api/reports/{id} \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/reports/{id}"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"userId": "<string>",
"vulnerabilityId": "<string>",
"title": "<string>",
"status": "queued",
"contentVersion": 0,
"isEdited": false,
"attempt": 0,
"queuedAt": "<unknown>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"contentMd": "<string>",
"error": "<string>",
"model": "<string>",
"startedAt": null,
"completedAt": null,
"editedAt": null
}{
"error": "<string>"
}{
"error": "<string>"
}Reports
Get a resource by id
GET
/
api
/
reports
/
{id}
Get a resource by id
curl --request GET \
--url https://aquila.attaxr.com/api/reports/{id} \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/reports/{id}"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"userId": "<string>",
"vulnerabilityId": "<string>",
"title": "<string>",
"status": "queued",
"contentVersion": 0,
"isEdited": false,
"attempt": 0,
"queuedAt": "<unknown>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"contentMd": "<string>",
"error": "<string>",
"model": "<string>",
"startedAt": null,
"completedAt": null,
"editedAt": null
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Path Parameters
Response
The resource.
Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
queued, processing, completed, failed Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991
